org.apache.log4j.spi

## Interface Decoder

- All Known Implementing Classes:
    UtilLoggingXMLDecoder, XMLDecoder

      public interface Decoder

  Allow LoggingEvents to be reconstructed from a different format (usually XML).
  Author:
    Scott Deboy (sdeboy@apache.org)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.log4j.spi.LoggingEvent` | `decode(String event)` Decode event from string.
    `Vector` | `decode(URL url)` Decode event from document retreived from URL.
    `Vector` | `decodeEvents(String document)` Decode events from document.
    `void` | `setAdditionalProperties(Map additionalProperties)` Sets additional properties.

- - ### Method Detail

    - #### decodeEvents

          Vector decodeEvents(String document)

      Decode events from document.
      Parameters:
        `document` - document to decode.
      Returns:
        list of LoggingEvent instances.

    - #### decode

          org.apache.log4j.spi.LoggingEvent decode(String event)

      Decode event from string.
      Parameters:
        `event` - string representation of event
      Returns:
        event

    - #### decode

          Vector decode(URL url)
                 throws IOException

      Decode event from document retreived from URL.
      Parameters:
        `url` - url of document
      Returns:
        list of LoggingEvent instances.
      Throws:
        `IOException` - if IO error resolving document.

    - #### setAdditionalProperties

          void setAdditionalProperties(Map additionalProperties)

      Sets additional properties.
      Parameters:
        `additionalProperties` - map of additional properties.

Copyright © 2002-2018 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache Chainsaw, Chainsaw, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.